tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Interface PubSubModule.NotificationReceivedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    PubSubModule

      public static interface PubSubModule.NotificationReceivedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PubSubModule.NotificationReceivedHandler.NotificationReceivedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onNotificationReceived(SessionObject sessionObject, Message message, JID pubSubJID, String nodeName, String itemId, Element payload, Date delayTime, String itemType)`

- - ### Method Detail

    - #### onNotificationReceived

          void onNotificationReceived(SessionObject sessionObject,
                                      Message message,
                                      JID pubSubJID,
                                      String nodeName,
                                      String itemId,
                                      Element payload,
                                      Date delayTime,
                                      String itemType)

Copyright © 2006–2020 Tigase. All rights reserved.